up_mariadb = ENV['UP_MARIADB'] || FALSE

Vagrant.configure("2") do |config|
  (1..2).each do |i|
    config.vm.define "maxscale#{i}" do |server|
      server.vm.box = 'generic/ubuntu1804'
      server.vm.hostname = "maxscale#{i}"
      server.vm.provider :libvirt do |domain|
        domain.cpus = 1
        domain.memory = 1024
      end

      config.vm.provision "shell", inline: <<-SHELL
        apt update && apt install python-minimal -y
      SHELL

      # Run provision when the last index has been iterated
      if i == 2
        server.vm.provision :ansible do |ansible|
          ansible.limit = 'all'
          ansible.playbook = 'bootstrap.yml'
          ansible.extra_vars = {
            site_environment: 'default',
            ansible_python_interpreter: '/usr/bin/python'
          }
        end
      end
    end
  end

  if up_mariadb
    (1..3).each do |i|
      config.vm.define "mariadb#{i}" do |server|
        server.vm.box = 'generic/ubuntu1804'
        server.vm.hostname = "mariadb#{i}"
        server.vm.provider :libvirt do |domain|
          domain.cpus = 1
          domain.memory = 764
        end

        config.vm.provision "shell", inline: <<-SHELL
          apt update && apt install python-minimal -y
        SHELL

        if i == 3
          server.vm.provision :ansible do |ansible|
            ansible.limit = 'mariadb'
            ansible.inventory_path = './inventory/default/hosts'
            ansible.playbook = 'bootstrap.yml'
            ansible.extra_vars = {
              ansible_python_interpreter: '/usr/bin/python'
            }
          end
        end
      end
    end
  end
end
